org.eclipse.wst.jsdt.ui.search

## Interface ISearchRequestor

    public interface ISearchRequestor

A callback interface to report matches against. This class serves as a bottleneck and minimal interface to report matches to the JavaScript search infrastructure. Query participants will be passed an instance of this interface when their `search(...)` method is called.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `reportMatch(Match match)` Adds a match to the search that issued this particular `ISearchRequestor`.

### Method Detail

#### reportMatch

    void reportMatch(Match match)

Adds a match to the search that issued this particular `ISearchRequestor`.

Parameters:
  `match` - The match to be reported.